Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Jul 2018 00:26:43 -0700

Brett Gilio wrote:
> I wonder what you mean by "just
> works" in contrast to what Eli suggested about the inconsistency in
> behavior between the different function definitions for fixnums and
> bignums.

I meant that ordinarily Emacs Lisp programmers should not worry whether an 
integer's internal representation is a bignum or a fixnum. Functions like +, -, 
*, /,  format, read, etc. should accept and generate mathematically correct 
integer values regardless of whether their inputs are fixnums or bignums. If an 
integer fits in a fixnum it is presumably represented that way, but by and large 
Emacs programs should not care about this detail.

That is how other Lisps do it, it works well for them, and Emacs Lisp should do 
likewise.